Bug Hunting Session
Bug 122774 - All items in AutoFilter popup menu are not keyboard accessible
Summary: All items in AutoFilter popup menu are not keyboard accessible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0 target:6.3.1 target:6.2.7
Keywords: accessibility
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2019-01-17 01:30 UTC by Jim Raykowski
Modified: 2019-08-02 15:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-01-17 01:30:27 UTC
Steps to repro:

1. Enter some data to cells in a column
2. Menu->Data->AutoFilter
3. Click on the AutoFilter popup menu button in cell
AutoFilter popup menu opens, cursor is in 'Search items...' edit box
4. Try to use keyboard navigation to access Sort Ascending, Sort Descending, Top 10, Empty, Not Empty, and Standard Filter... menu items

Results:
Can't access all menu items using keyboard

Expected Results:
Keyboard can access all menu items in popup menu

Version: 6.3.0.0.alpha0+
Build ID: 8b461713c0c86bc19af739aada4b1345cfa5dfbe
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Durgapriyanka 2019-01-17 17:41:39 UTC
Thank you for reporting the bug.I can reproduce this in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 m.a.riosv 2019-01-19 19:58:23 UTC
(In reply to Durgapriyanka from comment #1)
> Thank you for reporting the bug.I can reproduce this in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 3c964980da07892a02d5ac721d80558c459532d0
> CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
> TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
> Locale: en-US (en_US); UI-Language: en-US
> Calc: threaded

pls if you can reproduce the issue set up the bug as new.
Comment 3 Jim Raykowski 2019-07-16 20:43:46 UTC
Here is a patch to make keyboard tab navigation to the menu items possible. It also fixes Bug 122772 - Table splits after AutoFilter popup menu use.

https://gerrit.libreoffice.org/#/c/75684/
Comment 4 Commit Notification 2019-07-23 05:58:44 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3e50aea3c723e82ea4acf32aae8d72e875d4b321%5E%21

tdf#122774 Make all ScCheckListMenuWindow items keyboard accessible

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Cor Nouws 2019-07-23 07:45:51 UTC
Thanks Jim!
The patch fixes part of bug 102298. Is fixing shortcuts possible too?
Comment 6 Jim Raykowski 2019-07-25 01:55:08 UTC
(In reply to Cor Nouws from comment #5)
> Thanks Jim!
> The patch fixes part of bug 102298. Is fixing shortcuts possible too?

Hi Cor, I didn't see the report you made or would have filed this patch under it. The Alt+A All check box short cut works when focus is on any of the controls but not when it is on the menu items. The menu item shortcut mnemonics can be made to show by manually placing a ~ in the menu item strings but there doesn't seem to be support for handling a menu item short cut key press.
Comment 7 Cor Nouws 2019-07-25 19:38:58 UTC
(In reply to Jim Raykowski from comment #6)

> the controls but not when it is on the menu items. The menu item shortcut
> mnemonics can be made to show by manually placing a ~ in the menu item

thanks!
Comment 8 Commit Notification 2019-07-29 17:34:54 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f111aba46cbb037bd82d7246bb0a111b87931f03%5E%21

tdf#122774 Make all ScCheckListMenuWindow items keyboard accessible

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-08-02 15:19:20 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/32cf2f6614526e560623498afe4d80b29fc52649%5E%21

tdf#122774 Make all ScCheckListMenuWindow items keyboard accessible

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-08-02 15:25:41 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!!

I added a UITest for bug 126306 < https://cgit.freedesktop.org/libreoffice/core/commit/?id=6f8a1b6736b4a79778fd222c7adabb2f6a12ca0a > which uses the fix, thus this bug it's also covered by test